%define		php_name	php%{?php_suffix}
%define		modname	svn
%define		status	stable
Summary:	PHP Bindings for the Subversion Revision control system
Summary(pl.UTF-8):	Dowiązania PHP do systemou kontroli rewizji Subversion
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.2
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	45407d43f1055eb72e149d1862f3daa1
URL:		http://pecl.php.net/package/svn/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	re2c >= 0.12.0
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	subversion-devel >= 1.3
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bindings for the Subversion revision control system, providing a
method for manipulating a working copy or repository with PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Pakiet ten dostarcza dowiązań do systemu kontroli rewizji Subversion,
dostarczając metod do obróbki lokalną kopią lub repozytorium z poziomu
PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make} \
	CFLAGS="%{rpmcflags} $(apu-1-config --includes)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-svn.git;a=log;h=AC-branch

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> a270f9d
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 939bed4
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 217f096
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9769270
- updated to 1.0.2

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 62082b3
- release 2

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 7f73a5f
- up to 1.0.0

* Fri Oct 09 2009 amateja <amateja@pld-linux.org> 5a59a36
- updated to 0.5.1

* Sat Oct 11 2008 Adam Gołębiowski <adamg@pld-linux.org> 8612f34
- updated to 0.5.0
- license changed to php 3.01
- seems to work fine with svn 1.5

* Tue Jun 24 2008 Adam Gołębiowski <adamg@pld-linux.org> 42cbcc4
- new (no svn-1.5 support for now)

